Subject: Re: Booting from RAM Disk

From: "David H. Lynch Jr." <[email-masked]>
Date: Fri, 06 Jan 2006 23:59:36 -0500

initramfs does nto exist in 2.4, but despite a dearth of information it
works extremely well in 2.6.

	Set CONFIG_INITRAMFS=path to directory tree to build into ramdisk, and
the kernel building process will take care of most evrything else.
Unlike initrd, there are not two separate files, that each have to be
loaded. The initial ramdisk is part of the kernel image, gets
uncompressed by the kernel, and is just generally painless - except for
the scarcity of documentation.